Video Screencast Help
Symantec to Separate Into Two Focused, Industry-Leading Technology Companies. Learn more.

Outdated Tomcat Versions in BESR

Created: 25 Aug 2014 | 2 comments

We are still using BESR on some older hardware, where SSR seems to be a bit too demanding. As it turned out recently, our BESR Server Software (8.5.7.36915) incorporates Apache Tomcat version 5.5.9, which became outdated in 2012. This old version of Tomcat apparently became a security issue and it is a company policy to have it replaced by a newer version (at least version 7.0).

The question is now, is there a newer version of BESR that also incorporates Tomcat of at least version 7.0?

Can Tomcat easily be replaced within an existing BESR environment?

Operating Systems:

Comments 2 CommentsJump to latest comment

TRaj's picture

Hi,

After BESRMS 8.5 we have 2 upgrade versions BESRMS 2010 and SSRMS 2011.

However for BESRMS (Tomcat was a background component ) and in the versions BESRMS 2010 and SSRMS 2011 Tomcat has been replaced by Altiris 7.0

Thus you can upgrade from BESRMS 8.5 to BESRMS 2010 and it will automatically unistall Tomcat in the background and install BESRMS 2010 replacing Altiris 7.0

However BESR is no more using Tomcat after BESRMS 8.5. Also BESRMS 8.5 was a pull process where all the client machines were pulled to host.

While BESRMS 2010 is push process where agents are pushed onto all the client machine.

You may face some issues initially with the transition with the format change, depending on the client machines but eventually it pulls out to be a better product.

Hope this helps !

We are requesting you to mark the forums as Solution , so that is makes easier for the viewer to search and refer the posts with "Solutions"

brombasch_cgi's picture

Unfortunately the clients are old and frozen XP clients. We cannot install newer versions of BESR on them. If there is no later version of BESR 8.X with a newer version of Tomcat, I guess the only option would be to replace the Tomcat software within BESR.

How would we proceed here, can we just shut down BESR and replace the Tomcat ressources with a newer version, or would this destroy the whole BESR installation?